Subject: Re: bug#50950: "(emacs) Mark" should contrast to "selecting" text in other editors

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Oct 2021 09:27:36 +0300

> Date: Sat, 16 Oct 2021 17:11:58 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> As for differences themselves, I'd suggest an explicit itemized list,
> first naming them and then explaining each difference in some detail,
> including cross-references to sections which describe them in more
> detail.  The differences I think we should describe here are:
> 
>   . the "mark" and its relation to region (after all, the chapter is
>     called "The Mark and the Region")
>   . the fact that region can be active or inactive, and the basic
>     difference between these two
>   . the fact that some commands operate on region if it's active, and
>     some even if it's inactive (the main difference here is that in
>     Emacs many more commands are region-sensitive than in other
>     programs, where it basically only supports copy/paste)
>   . maybe also that we have some unusual ways of extending the region

And one more difference to consider: Emacs commands that move far
enough away usually set the mark at the original position, thus
implicitly setting the region.  That region is by default inactive,
but can be activated by a single command.